import React from 'react';

const Logo = ({ width, height }: { width: number; height: number }) => (
  <svg xmlns="http://www.w3.org/2000/svg" width={width} height={height} viewBox="0 0 310 67">
    <title id="logo">Raisin Customer Portal</title>
    <g fill="none" fillRule="evenodd">
      <g>
        <path
          fill="#0B3A4F"
          d="M267.444 31.062v-.003c-4.57 0-6.758 2.772-6.758 8.06v22.325H246.15V20.868h14.536v4.178s3.202-5.46 11.992-5.46c13.176 0 15.901 10.553 15.901 15.776v26.08h-14.45V39.153c0-5.284-2.113-8.091-6.685-8.091zm-131.12 10.01c0-4.802-3.892-8.694-8.694-8.694-4.8 0-8.692 3.892-8.692 8.692 0 4.805 3.893 8.694 8.694 8.694 4.8 0 8.694-3.893 8.694-8.692h-.002zM124.537 62.43c-11.025 0-19.158-8.9-19.158-21.265 0-12.097 8.422-21.507 19.358-21.507 8.065 0 11.732 4.903 11.732 4.903v-3.694h13.623v40.593h-13.623v-3.59s-3.854 4.56-11.93 4.56h-.002zM103.94 28.215v.002c0 4.803-3.893 8.692-8.694 8.692-4.8 0-8.692-3.889-8.692-8.694 0-4.801 3.89-8.694 8.692-8.694 4.801 0 8.694 3.893 8.694 8.694zm55.767 33.251V20.868h14.708v40.598h-14.708zm16.046-52.631l.002-.002c0 4.802-3.894 8.694-8.694 8.694-4.8 0-8.692-3.892-8.692-8.692 0-4.805 3.892-8.697 8.692-8.697 4.8 0 8.692 3.892 8.692 8.697zm46.262 52.631V20.868h14.708v40.598h-14.708zm16.048-52.631l.002-.002c0 4.802-3.893 8.694-8.694 8.694-4.802 0-8.694-3.892-8.694-8.692 0-4.805 3.892-8.697 8.694-8.697 4.8 0 8.692 3.892 8.692 8.697zm-38.277 10.927c5.689.11 9.417.9 14.688 3.314l-4.809 9.369c-3.095-2.044-5.874-2.98-8.205-2.98-2.51 0-3.88 1.28-3.88 2.939 0 .611.362 1.222.81 1.57 1.164.875 4.209 1.574 5.914 2.012 2.328.696 5.104 1.596 7.073 2.966 2.575 1.796 4.638 4.632 4.638 8.473 0 9.674-7.294 15.281-19.418 14.937l.002-.002c-5.288 0-10.838-1.42-15.872-4.4l5.54-10.416c3.668 2.681 7.647 4.257 10.781 4.335 2.964.075 4.21-1.222 4.21-2.97 0-.699-.256-1.407-.717-1.78-.818-.66-1.697-1.018-5.107-1.888-1.786-.455-6.027-1.927-7.982-3.319-2.71-1.929-4.36-4.46-4.538-7.772-.491-9.26 5.788-14.603 16.872-14.387zm101.34 25.214c4.8 0 8.693 3.889 8.693 8.694 0 4.8-3.889 8.692-8.694 8.692-4.8 0-8.692-3.893-8.692-8.692 0-4.802 3.893-8.694 8.692-8.694zM85.581 20.87v40.636H70.783V20.87h14.8z"
        />
        <path
          fill="#DC432E"
          d="M41.628 54.147v-33.25h-7.77l-.025-.025-.003.002-.024.021H8.379v11.032h14.393L5.425 49.276v.002C2.006 44.353 0 38.374 0 31.924 0 15.243 13.385 1.686 30.003 1.416l.503-.004.504.004c16.616.27 30.008 13.825 30.007 30.505 0 16.852-13.661 30.51-30.511 30.51-6.412 0-12.362-1.984-17.274-5.367L30.6 39.7v14.447h11.028z"
        />
      </g>
    </g>
  </svg>
);

export default Logo;
